# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [9.10.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.9.0...v9.10.0) (2024-01-21)


### Features

* add blueprint to edit template ([04edc4d](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/04edc4d07a21b9c4ca8032f87bdc3157546ec994))

## [9.9.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.8.0...v9.9.0) (2023-06-18)


### Features

* pagefield - Page ([1dde70e](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/1dde70e58fe73f01b21032cd57668a7cc8b5f083))


### Bug Fixes

* placeholders display ([a40eb4d](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/a40eb4d3e9b712226adb93e5c94807576882bd34))

## [9.8.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.7.0...v9.8.0) (2023-06-07)


### Features

* placeholder views ([8a27266](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/8a2726641ee5fd337b82a65f0679fcbbd2ff2bc7))

## [9.7.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.6.2...v9.7.0) (2023-06-01)


### Features

* change default page list order ([165ed5f](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/165ed5fc9ad88ed53701be414efa7a4500468900))

### [9.6.2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.6.1...v9.6.2) (2023-06-01)

### [9.6.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.6.0...v9.6.1) (2023-05-25)


### Bug Fixes

* missing edit stylesheet and block in page_type/xxx/edit.liquid ([1be1117](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/1be1117b57ce9ff99e1ca0f59b138005b62cc918))

## [9.6.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.5.2...v9.6.0) (2023-05-25)


### Features

* import page csv ([f1f3d39](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/f1f3d39fc8a311551ea42a8cc1173e5794ae9fa8))

### [9.5.2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.5.1...v9.5.2) (2022-08-30)


### Bug Fixes

* cannot delete item ([08f5278](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/08f52783ed5d9602dee9296546c6a641475235d9))

### [9.5.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.5.0...v9.5.1) (2022-08-30)


### Bug Fixes

* action is not defined ([5ac0aab](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/5ac0aab4fa9aa3b5b3e281fa3d6cc19144ea3e19))

## [9.5.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.4.4...v9.5.0) (2022-08-26)


### Features

* page edit save value when item add / delete ([fcde017](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/fcde0175b4a1d657d40397b89fd9dd9b9df0d8e1))
* save other fields when add / delete blocks, block item ([3e9ef24](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/3e9ef2481609148391d25fc78ceea12cd07f3ebc))

### [9.4.4](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.4.3...v9.4.4) (2022-08-25)


### Bug Fixes

* tests and dependency ([47870d7](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/47870d7a68b8580ede2778604f0c32114eecfc46))

### [9.4.3](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.4.2...v9.4.3) (2022-08-25)


### Bug Fixes

* create page with proper weight ([306bfd4](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/306bfd4ff0d46cc06f16d9c770df204e4966f5c7))
* missing file extension after upload file ([d31f7ab](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/d31f7ab9232bfc8d8028d6bbcf00fb2c25cd249f))

### [9.4.2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.4.1...v9.4.2) (2022-08-05)

### [9.4.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.4.0...v9.4.1) (2022-08-05)


### Bug Fixes

* livePages is null ([95dfd51](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/95dfd5129164e7d1c24d578a9af44fceaaa15645))

## [9.4.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.3.0...v9.4.0) (2022-07-28)


### Features

* page schedule sync with live version ([16b925b](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/16b925bc35f68dc59067fae415866f3a9582c7ca))

## [9.3.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.2.0...v9.3.0) (2022-07-27)


### Features

* auto slug ([361b091](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/361b0918bb8aaeec74391745ad4c7f522b6d148d))

## [9.2.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.1.0...v9.2.0) (2022-07-27)


### Features

* page edit check sync with live page by page.original rather than page.updated_at ([1b5e008](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/1b5e008e766db35865f4ca6fea51ee2329139d26))

## [9.1.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v9.0.0...v9.1.0) (2022-07-26)


### Features

* publish weights ([44c57bb](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/44c57bb4d554b57c5413c58e4a87a24e4593111e))

## [9.0.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v8.0.0...v9.0.0) (2022-07-26)


### ⚠ BREAKING CHANGES

* use content.sqlite as draft database name

### Features

* content list page with published status ([1882160](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/18821604e9f0d28bb72e147f9e3c4fe4104766be))


* use content.sqlite as draft database name ([21c959a](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/21c959a404d1158960bc5b61c3e973a5e19252e1))

## [8.0.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.1.5...v8.0.0) (2022-05-20)


### ⚠ BREAKING CHANGES

* page_tags table add weight column for pagination

### Features

* page_tags table add weight column for pagination ([ae04bd0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/ae04bd07b9c63a1826705d7d2c8ba83f4c034100))

### [7.1.5](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.1.4...v7.1.5) (2022-04-12)

### [7.1.4](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.1.3...v7.1.4) (2022-04-12)

### [7.1.3](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.1.2...v7.1.3) (2022-04-07)


### Bug Fixes

* block update over 10 items ([c1ac9ce](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/c1ac9ce7539c2947183eca1e00062fa888221299))

### [7.1.2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.1.1...v7.1.2) (2022-04-07)


### Bug Fixes

* read block alias ([5d60191](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/5d6019103f1b9934228265004d2595120ca24123))

### [7.1.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.1.0...v7.1.1) (2022-04-07)


### Bug Fixes

* sorting blocks and items  ([9a4389a](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/9a4389ac9568c3a8b01575210375319877c79877))

## [7.1.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.0.2...v7.1.0) (2022-03-24)


### Features

* original tags ([2c99ee0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/2c99ee084d2c2a24eaf78879cbfd49ad80e3dea6))

### [7.0.2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.0.1...v7.0.2) (2022-03-24)


### Bug Fixes

* publish ([9be4bfe](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/9be4bfe09354b9be3ec2ace15db52590f4c13b72))

### [7.0.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v7.0.0...v7.0.1) (2022-03-24)


### Bug Fixes

* controller using HelperPage and Mixin Language ([de511ea](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/de511ea017c569137439a9fa82b8e7333a248543))

## [7.0.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v6.2.0...v7.0.0) (2022-03-23)


### ⚠ BREAKING CHANGES

* fix tags and prepare to launch new version

### Features

* add block item 2.0 ([9e564df](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/9e564df7caf2af393bfdabf2c862bb122a87aaba))
* add HelperPageText ([29874b2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/29874b26e14e98f370251c4df07717e3fb188ef4))


### Bug Fixes

* page add tag and delete tag ([67b8033](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/67b803322d35389197ce9ec44ed80038475fb4d4))


* fix tags and prepare to launch new version ([0186f1d](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/0186f1dbecf0818d4f5f00b892c7060975c31b21))

## [6.2.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v6.1.0...v6.2.0) (2022-03-17)


### Features

* add default edit /index template ([b60f6d5](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/b60f6d5c4b359ca856bbd027902f19e24faf9902))

## [6.1.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v6.0.1...v6.1.0) (2022-03-15)


### Features

* admin upload file and default views ([e21e46e](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/e21e46e293191522d8d508503fd0067e9e7278fe))


### Bug Fixes

* upload response json object ([c3be870](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/c3be8701a2862dea998cf52b674cc47e7dccb710))

### [6.0.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v6.0.0...v6.0.1) (2022-03-09)


### Bug Fixes

* error when only have one tag  ([a3793c2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/a3793c25dd99c9910a278fddbe7dab301402739c))
* tags cannot load ([00c9116](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/00c91161654ade0e4aca21786d590329a05daa36))

## [6.0.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.4.3...v6.0.0) (2022-03-09)


### ⚠ BREAKING CHANGES

* add require sequence in index.js and routes.js

* add require sequence in index.js and routes.js ([1641984](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/16419845c46e8a86b6dd5df698952a59ea7b2600))

### [5.4.3](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.4.2...v5.4.3) (2022-03-03)


### Bug Fixes

* language is null ([2006a13](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/2006a132957df4245c48268e07f5d9350e538806))

### [5.4.2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.4.1...v5.4.2) (2022-03-03)


### Bug Fixes

* database not have table Language ([da3a3e6](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/da3a3e60bc829c09ac1212cac4a74870516bf115))

### [5.4.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.4.0...v5.4.1) (2022-03-01)


### Bug Fixes

* block and item sort is not order by weight  ([b601da2](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/b601da2106d1ac3f9ab9ae11d753d0f011a83e4b))

## [5.4.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.3.0...v5.4.0) (2022-02-21)


### Features

* page tag publish ([bc9152c](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/bc9152c54317a42ad0343e4c6b2d7f16a5e4017b))

## [5.3.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.2.4...v5.3.0) (2022-02-20)


### Features

* tags on page read ([cd62bdc](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/cd62bdc040072d4aad9e8564bc2563ad39b11d9a))

### [5.2.4](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.2.3...v5.2.4) (2022-02-19)


### Bug Fixes

* tags ([9751c7e](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/9751c7efd24616fc3e37766a309c51176428e8c8))

### [5.2.3](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.2.2...v5.2.3) (2022-02-18)


### Bug Fixes

* tag parent error ([cacc009](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/cacc0091246e1b65c778bbf066065c4f90b24d5f))

### [5.2.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.2.0...v5.2.1) (2022-02-17)


### Bug Fixes

* property name with at sign cannot render in view ([025e5ae](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/025e5ae3de0e42ee71dfc4d61582507a2c33d9b9))

## [5.2.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.1.0...v5.2.0) (2022-02-17)


### Features

* draft database and simplify live database ([0a46686](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/0a46686183db4253c63d59d3b8bc03fbdac23555))
* simple live page data ([c2adeb4](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/c2adeb454a72ea9126b8a8f44591b885af1b32b0))


### Bug Fixes

* language database live access, route loading ([230194c](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/230194c900236de375eaa5dfeebc252e9e3a678e))

## [5.1.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v5.0.0...v5.1.0) (2022-02-16)


### Features

* add controller mixin page language ([3b4bd9b](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/3b4bd9b6b3076b604166ffcd010e96352367991d))

## [5.0.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v4.2.1...v5.0.0) (2022-01-27)


### ⚠ BREAKING CHANGES

* API, Page reference, Tags

### Features

* API, Page reference, Tags ([8f14295](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/8f142953c15d9db5b82eff29891a89da9e65ebfd))

### [4.2.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v4.2.0...v4.2.1) (2021-11-30)


### Bug Fixes

* blocks.length is null error ([2faca39](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/2faca39112b69ee5d14421a1328e8005a40f0436))

## [4.2.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v4.1.0...v4.2.0) (2021-11-30)


### Features

* page blocks ([f29de7f](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/f29de7fee2b073c837801156c3367bc40be5b95b))

## [4.1.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v4.0.1...v4.1.0) (2021-11-08)


### Features

* unpublish on delete ([2ad52eb](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/2ad52eb2a8cc57a53e3de3351e6e492ca0dccc92))

### [4.0.1](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v4.0.0...v4.0.1) (2021-11-08)

## [4.0.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v3.2.0...v4.0.0) (2021-11-08)


### ⚠ BREAKING CHANGES

* remove not necessary classes, define page type in config file

* remove not necessary classes, define page type in config file ([7c15a3f](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/7c15a3ffc4b3abc5e39b51e069fc8e53fcdc7d5e))

## [3.2.0](https://gitlab.com/kohana-js/proposals/level0/mod-cms/compare/v3.1.0...v3.2.0) (2021-11-04)


### Features

* file upload to public/media/cms ([6643f0e](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/6643f0eb8d38e786b3cfa38ab2bf421af2cb5649))

## 3.1.0 (2021-10-29)


### Features

* publish ([a38c6d4](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/a38c6d473bc4fcb80a1b85b4e88ffddae238cd71))
* unpublish ([3c5ed30](https://gitlab.com/kohana-js/proposals/level0/mod-cms/commit/3c5ed30051da3fd9ea120cb5cc261a32f220e243))

## [3.0.0] - 2021-09-08
### Change
- use KohanaJS 6 and mod-form

## [2.3.0] - 2021-09-07
### Added
- create CHANGELOG.md